#
# spec file for package python-cached-property
#
# Copyright (c) 2016 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


Name:           python-cached-property
Version:        1.3.0
Release:        3.1
License:        BSD-3-Clause
Summary:        A decorator for caching properties in classes
Url:            https://github.com/pydanny/cached-property
Group:          Development/Languages/Python
Source:         https://pypi.python.org/packages/source/c/cached-property/cached-property-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
A decorator for caching properties in classes.It makes caching of time or
computational expensive properties quick and easy and it works in Python 2
and 3.

more at https://github.com/pydanny/cached-property/blob/master/README.rst

%prep
%setup -q -n cached-property-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS.rst LICENSE README.rst
%{python_sitelib}/*

%changelog
* Thu Mar 17 2016 jmassaguerpla@suse.com
- initial commit with version 1.3.0
